Index: /production/onslow_2006/project.py
===================================================================
--- /production/onslow_2006/project.py	(revision 2555)
+++ /production/onslow_2006/project.py	(revision 2556)
@@ -11,8 +11,12 @@
 
 from coordinate_transforms.redfearn import degminsec2decimal_degrees
+
+from time import localtime, strftime
+
+from os import getcwd
+
                 
 #Making assumptions about the location of scenario data
 scenario_dir_name = 'onslow_tsunami_scenario_2006'
-
 
 # 250m data to be provided
@@ -24,4 +28,41 @@
 
 boundary_basename = 'SU-AU'
+
+#swollen/ all data output
+basename = 'source'
+
+codename = 'project.py'
+
+if sys.platform == 'win32':
+    home = environ['INUNDATIONHOME']     #Sandpit's parent dir
+else:    
+    home = expanduser('~')
+
+#Derive subdirectories and filenames
+
+
+meshdir = home+sep+scenario_dir_name+sep+'meshes'+sep
+datadir = home+sep+scenario_dir_name+sep+'topographies'+sep
+
+timedir = strftime('%Y%m%d_%H%M%S',localtime()) #gets time for new dir
+outputdir = home+sep+scenario_dir_name+sep+'output'+sep+timedir+sep
+polygondir = home+sep+scenario_dir_name+sep+'polygons'+sep
+boundarydir = home+sep+scenario_dir_name+sep+'boundaries'+sep
+
+codedir = getcwd()+sep
+codedirname = codedir + 'project.py'
+
+meshname = meshdir + basename
+
+coarsedemname = datadir + coarsename
+
+onshore_dem_name = datadir + onshore_name
+
+combineddemname = datadir + 'onslow_combined_elevation'
+
+outputname = outputdir + basename  #Used by post processing
+
+#!gauge_filename = outputdir + 'onslow_gauges.xya'
+#!gauge_outname = outputdir + 'gauges_max_output.xya'
 
 # clipping region for fine elevation data
@@ -37,36 +78,8 @@
 
 # region for visualisation
-eminviz =
-emaxviz = 
-nminviz = 
-nmaxviz = 
-
-#swollen/ all data output
-basename = 'source_fine_clipped'
-
-if sys.platform == 'win32':
-    home = environ['INUNDATIONHOME']     #Sandpit's parent dir
-else:    
-    home = expanduser('~')
-
-#Derive subdirectories and filenames
-meshdir = home+sep+scenario_dir_name+sep+'meshes'+sep
-datadir = home+sep+scenario_dir_name+sep+'topographies'+sep
-outputdir = home+sep+scenario_dir_name+sep+'output'+sep
-polygondir = home+sep+scenario_dir_name+sep+'polygons'+sep
-boundarydir = home+sep+scenario_dir_name+sep+'boundaries'+sep
-
-meshname = meshdir + basename
-
-coarsedemname = datadir + coarsename
-
-onshore_dem_name = datadir + onshore_name
-
-combineddemname = datadir + 'onslow_combined_elevation'
-
-outputname = outputdir + basename  #Used by post processing
-
-#!gauge_filename = outputdir + 'onslow_gauges.xya'
-#!gauge_outname = outputdir + 'gauges_max_output.xya'
+eminviz = 260000
+emaxviz = 320000
+nminviz = 7590000
+nmaxviz = 7630000
 
 #Georeferencing
@@ -112,4 +125,2 @@
 poly_direction = [k0, k1, k2, k3]
 
-testpoly = [p0,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13,p14,p15,p16,p17,p18,p19,p20,p21,p22,p23,p24,p25,p26,p27,p28,p29,p30]
-#!slump_origin = [385000.0, 6255000.0] #Absolute UTM
Index: /production/onslow_2006/run_onslow.py
===================================================================
--- /production/onslow_2006/run_onslow.py	(revision 2555)
+++ /production/onslow_2006/run_onslow.py	(revision 2556)
@@ -31,4 +31,6 @@
 from smf import slump_tsunami  # Function for submarine mudslide 
 
+from shutil import copy
+from os import mkdir, access, F_OK
 
 #------------------------------------------------------------------------------
@@ -48,4 +50,12 @@
 
 source_dir = project.boundarydir
+
+#if dir doesn't exists then makes dir
+if access(project.outputdir,F_OK) == 0 :
+    mkdir (project.outputdir)
+# creates copy of code in output dir
+copy (project.codedirname, project.outputdir + project.codename)
+copy (project.codedir + 'run_onslow.py', project.outputdir + 'run_onlsow.py')
+print "copied to"+ project.outputdir + project.codename + 'and run_onlsow.py'
 
 # coarse data
@@ -65,10 +75,13 @@
 
 # combining the coarse and fine data
-combine_rectangular_points_files(project.coarsedemname + '.pts',
+# NOTE MUST HAVE FINE FIRST!
+combine_rectangular_points_files(
                                  project.onshore_dem_name + '.pts',
+                                 project.coarsedemname + '.pts',
                                  project.combineddemname + '.pts')
 
 
-#------------------------------------------------------------------------------
+
+#-------------------------------------------------------------------------------                                 
 # Create the triangular mesh based on overall clipping polygon with a tagged
 # boundary and interior regions defined in project.py along with
@@ -164,4 +177,5 @@
        source_dir + project.boundary_basename), 
       {'verbose': True,
+# note didn't work with the below
 #       'minlat': south - 1,
 #       'maxlat': north + 1,